Skip to main content
`Ctrl`+`K`

# Sequence distance metrics (`skbio.sequence.distance`)

This module contains functions for computing distances between scikit-bio `Sequence` objects. These functions can be used directly or supplied to other parts of the scikit-bio API that accept a sequence distance metric as input, such as `skbio.sequence.Sequence.distance()` and `skbio.stats.distance.DistanceMatrix.from_iterable()`.

## Functions

`hamming`(seq1, seq2) | Compute Hamming distance between two sequences.
`kmer_distance`(seq1, seq2, k[, overlap]) | Compute the kmer distance between a pair of sequences.